Subject: converting msvc .lib's to gnu-win32 .a's
From: [email-masked] (Thomas Vetter)

23 Jul 1997 07:40:38 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-Cc: [email-masked]
X-Sun-Charset: US-ASCII
Original-Sender: [email-masked]

Hi,

I want to convert some 3rd-party stuff (.lib and .dll) to gnu-win32 format (.a)
to make it accessible for ld.
The dll's I ported with the following commands :

dumpbin /exports 3rd-party.dll > 3rd-party.def

--------> edit <name>.def to the right export structure
--------> does anybody know a better tool or an easier way ?

dlltool --dllname 3rd-party.dll --output-lib lib3rd-party.a --def 3rd-party.def

But how can I convert the 3rd-party's libraries (.lib) to gnu-win32 format (.a) ?
I think the standard libraries (libkernel32.a,libuser.a,...) are also converted from
original msvc libraries.
Is it neccessary to create first a dll or is there an easier way to get a gnu-win32
library ?

Regards,

Thomas

------------------------------------------------------------------------------------------
Thomas Vetter                                   Phone:  +49 69 6649 2415
Cegelec AEG Systems                             FAX:    +49 69 6649 2261
Abt.: A/RD 1
Lyoner Str. 9                                   e-mail: [email-masked]
60528 Frankfurt                                 WWW:    http://thomasvetter.aat-f.aeg-f.de
Germany
------------------------------------------------------------------------------------------

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".